
public abstract class DispozitivMobil implements Comparable{
	private String marca;
	private float diagonala;
	private static final float DIAGONALA_MIN=1;
	
	public DispozitivMobil(String m, float d) throws Exception{
		if (d<DIAGONALA_MIN)
			throw new Exception("Diagonala < 1 inch !");
		marca = m;
		diagonala = d;
	}
	
	public String toString() {
		return this.getClass().getName() + " marca "+marca+" diagonala "+diagonala+" inch";
	}
	
	public int compareTo(Object x) {
		return ((DispozitivMobil)x).marca.compareTo(marca);
	}
}
