import java.util.*;

public class MainClass {

	public static void main(String[] args) {
		TreeSet<DispozitivMobil> t = new TreeSet<DispozitivMobil>();
		try {
			Telefon a = new Telefon("Samsung",6.5f,"5G");
			t.add(a);
			Telefon b = new Telefon("Huawei",6.8f,"4G");
			t.add(b);
			Tableta c = new Tableta("ASUS",10.1f, false);
			t.add(c);
			Tableta d = new Tableta("Lenovo",10.1f, true);
			t.add(d);
			Tableta e = new Tableta("Motorola",0,true);
			t.add(e);	
		}catch(Exception e) {
			System.out.println(e.getMessage());
		}
		
		int nr=0;
		System.out.println("Dispozitivele mobile in ordinea invers alfabetica a marcii: ");
		for (DispozitivMobil d:t)
		{
			System.out.println(d);
			if (d instanceof Tableta && ((Tableta)d).getSIM())
				nr++;
		}
		System.out.println("In colectie "+ nr + " tablete au SIM");
		
	}

}
